#ifndef INTERFACE_H
#define INTERFACE_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/ioctl.h> //FIONREAD
#include <termios.h>
#include <unistd.h>
//#include <curses.h> //getch(), nodelay()
#include <time.h>

#define RD_OK 0;

#define DEFAULT_HOST "localhost"
#define DEFAULT_PORT 6600

/* definitii de meniuri */

#define MENU_NONE -1
#define MENU_MAIN 0
#define MENU_SELECTION 1
#define MENU_PLAY 2
#define MENU_STANDBY 3
#define MENU_WEATHER 4

#define BTN_OK 'a'
#define BTN_CANCEL 'd'
#define BTN_DOWN 's'
#define BTN_UP 'w'

#define STR_LENGTH 255

#define MPD_NO_SONG ".. connecting .."

// stringuri de afisat          "1234567890123456"
#define STRING_MAIN_PLAY        "      PLAY      "
#define STRING_MAIN_SELECT      "     SELECT     "
#define STRING_MAIN_STANDBY     "    STAND-BY    "
#define STRING_MAIN_WEATHER     "     WEATHER    "

#define STRING_PLAY_1           "Shoutcast radio "
#define STRING_PLAY_2           "Joe Cocker - N'o"
#define STRING_PLAY_3           "Volum: 100      "
#define STRING_PLAY_4           "20.12.2009 18:30"

#define STRING_STANDBY_1        "    WEBRADIO    "
#define STRING_STANDBY_2        "v1.4-2010 (c)A&D"
#define STRING_STANDBY_3        "23.12.2009 - 7C "
#define STRING_STANDBY_4        "    13:30:27    "

#define SYNC1 0x55
#define SYNC2 0xAA
#define SYNC3 0x5A
#define SYNC4 0xA5

#endif
